Name: yazpp
Version: 1.2.7
Release: 3%{?dist}
Summary: YAZ++  is a C++ API to YAZ
Group: System Environment/Libraries
License: BSD
URL: http://www.indexdata.dk/yazplusplus/
Source0: http://ftp.indexdata.dk/pub/yazpp/yazpp-%{version}.tar.gz
BuildRequires: libyaz-devel >= 4.2.8
BuildRequires: doxygen

%description
YAZ++ is an application programming interface (API) to YAZ which supports the
development of Z39.50/SRW/SRU client and server applications using C++. Like
YAZ, it supports Z39.50-2003 (version 3) as well as SRW/SRU version 1.1 in both
the client and server roles. YAZ++ includes an implementation of the ZOOM C++
binding and a generic client/server API based on the Observer/Observable design
pattern.

%package devel
Summary: Z39.50 Development package
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
Development libraries and include files for the YAZ++ package.

%package utils
Summary: Z39.50 Utililties package
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description utils
Binary utility files for the YAZ++ package.

%package docs
Summary:  Z39.50 Documentation package
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description docs
Documentation for YAZ++

%prep
%setup -q

%build
%configure --enable-shared --disable-static --with-yaz=%{_bindir} --mandir=%{_mandir} 
make %{?_smp_mflags} DESTDIR=${RPM_BUILD_ROOT} all dox

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
cp -p src/yaz-my-client ${RPM_BUILD_ROOT}%{_bindir}/yaz-my-client
cp -p src/yaz-my-server ${RPM_BUILD_ROOT}%{_bindir}/yaz-my-server
mv dox/man/man3/yaz-my-client.cpp.3 ${RPM_BUILD_ROOT}%{_mandir}/man1/yaz-my-client.1
mv dox/man/man3/yaz-my-server.cpp.3 ${RPM_BUILD_ROOT}%{_mandir}/man1/yaz-my-server.1
mv dox/man/man3/z-server.cpp.3 ${RPM_BUILD_ROOT}%{_mandir}/man1/z-server.1
cp -p zoom/zclient ${RPM_BUILD_ROOT}%{_bindir}/zclient
cp -p zlint/zlint ${RPM_BUILD_ROOT}%{_bindir}/zlint
rm -fv ${RPM_BUILD_ROOT}%{_libdir}/libyazpp.la
rm -fv ${RPM_BUILD_ROOT}%{_libdir}/libzoompp.la

%clean
rm -rf ${RPM_BUILD_ROOT}

%post  -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files
%doc README LICENSE NEWS ChangeLog
%{_libdir}/libyazpp.so.*
%{_libdir}/libzoompp.so.*

%files utils
%doc zoom/README
%{_bindir}/yaz-my-server
%{_bindir}/yaz-my-client
%{_bindir}/zclient
%{_bindir}/zlint
%{_mandir}/man1/yaz-my-server.1*
%{_mandir}/man1/yaz-my-client.1*
%{_mandir}/man1/z-server.1*

%files devel
%doc dox/man/man3/*.3* doc/yazpp-config.1*
%{_includedir}/yazpp
%{_libdir}/libyazpp.so
%{_libdir}/libzoompp.so
%{_datadir}/aclocal/yazpp.m4
%{_bindir}/yazpp-config
%{_mandir}/man1/yazpp-config.1.*

%files docs
%doc 
%{_docdir}/yazpp/*

%changelog
* Fri Dec 23 2011 Ryan H. Lewis <me@ryanlewis.net> - 1.2.7-3
- Implemented all fixes in https://bugzilla.redhat.com/show_bug.cgi?id=753597#c3

* Sun Nov 13 2011 Ryan Lewis <me@ryanlewis.net> - 1.2.7-2
- Removed comment, fixed BuildRequires

* Sun Nov 13 2011 Ryan Lewis <me@ryanlewis.net> - 1.2.7-2
- Rewrote spec file for fedora from source rpm spec.
